import os
import asset

class Frames:
    """meta data of frames detected from yolodeep"""

    def __init__(self):
        self.sources = {}
        self.images = {}
        # self.old = {}
        self.path = ""
        filename = asset.load("mev_brain:assets/cerbero.jpg").filename
        with open(filename, mode="rb") as f:
            self.sampleimage: bytes = f.read()

    def add(self, source_id: int = 0, frame_num: int = 0, path: str = ""):
        self.sources[source_id] = frame_num
        self.path = path

    def _get_frame_filename(self, source_id=0) -> str:
        # i frames possono non essere ancora sul filesystem, quindi ne cerchiamo qualcuno indietro
        frame_num = self.sources.get(source_id, 0) - 5 
        if not frame_num:
            log.warning("get_frame: no frames from source_id=%d", source_id)
            return ""
    
        filename = f"{self.path}/{source_id}_{frame_num:07d}.jpg"
        if not os.path.exists(filename):
            return ""
        return filename

    def get_frame_binary(self, source_id):
        filename = self._get_frame_filename(source_id=source_id)
        if not filename:
            return self.sampleimage, "sample"
        try:
            with open(filename, mode="rb") as f:
                self.images[source_id] = f.read()
            return self.images[source_id], filename
        except Exception:
            log.error("cannot load image binary from %s", filename)
        return None, ""