# -*- coding: utf-8 -*-
# run this with py.test -v

import logging

import pytest

from mev_brain import giano_api

logging.basicConfig(level=logging.DEBUG)
log = logging.getLogger(__name__)


@pytest.fixture(scope="session", autouse=True)
def api(api):
    obj = giano_api.Api(config=api, debug=True)
    log.info("config file: %s", api)  # str(request.config.api))
    return obj


@pytest.mark.asyncio
async def test_token(api):
    result = await api.get_token()
    assert result


# @pytest.mark.asyncio
# async def test_refreshToken_ko(api):
#     api.config['refresh_token'] = "XXX" # lo sbagliamo apposta
#     result = await api.refreshToken()
#     assert(not result)

# @pytest.mark.asyncio
# async def test_dummy(api):
#     logging.getLogger().info('info log')
#     log.debug('debug log')
#     print('print me')
#     assert(True)

# @pytest.mark.asyncio
# async def test_token(api):
#     if not api.hasToken():
#         signed = await api.extDeviceSign()
#         assert(signed)
#     result = await api.refreshToken()
#     assert(result)


@pytest.mark.asyncio
async def test_plates(api):
    if not api.hasToken():
        signed = await api.get_token()
        assert signed
    else:
        log.info("token stored: %s", api.config["token"])

    # plates = [
    #    {'plate': 'DG313CJ', 'latitude': 45.48338358244515, 'longitude': 11.12855677326107, 'timestamp': 1602159410.5707330703, 'key': 'DG313CJ_jXOXNmowZDkP'},
    #    {'plate': 'CR913JX', 'latitude': 45.48338313462392, 'longitude': 11.12855625378867, 'timestamp': 1602159410.5707330703, 'key': 'CR913JX_FLXSKHMNjwlV'},
    # ]
    result = await api.base_query(plate="EN675TL")
    assert result
    assert result["insurance"]
