# 2024-03-15 11:36:22 by RouterOS 7.13.5
# software id = 9YF3-UXKQ
#
# model = RB912R-2nD-LTm
# serial number = 8EF608D31E41
/interface bridge
add name=br-lan
/interface wireless security-profiles
set [ find default=yes ] supplicant-identity=MikroTik
add authentication-types=wpa2-psk eap-methods="" group-ciphers=tkip,aes-ccm \
    management-protection=allowed mode=dynamic-keys name=ranch \
    supplicant-identity="" unicast-ciphers=tkip,aes-ccm wpa2-pre-shared-key=\
    lessinianetwifi
add authentication-types=wpa2-psk eap-methods="" management-protection=\
    allowed mode=dynamic-keys name=mev supplicant-identity="" \
    wpa2-pre-shared-key=cerberos21
add authentication-types=wpa2-psk eap-methods="" management-protection=\
    allowed mode=dynamic-keys name=galileo supplicant-identity="" \
    wpa2-pre-shared-key=galileowifi
add authentication-types=wpa2-psk mode=dynamic-keys name=ingegno \
    supplicant-identity="" wpa2-pre-shared-key=rossovivo
/interface wireless
set [ find default-name=wlan1 ] ampdu-priorities=0,1,2,3,4,5 band=2ghz-onlyn \
    channel-width=20/40mhz-Ce country=italy default-forwarding=no disabled=no \
    mode=ap-bridge security-profile=mev ssid=cerbero station-roaming=enabled \
    wireless-protocol=802.11 wps-mode=disabled
add disabled=no keepalive-frames=disabled \
    master-interface=wlan1 mode=station multicast-buffering=disabled name=\
    wlan2 security-profile=ranch ssid=ranch station-roaming=enabled \
    wps-mode=disabled
add disabled=no keepalive-frames=disabled  \
    master-interface=wlan1 mode=station multicast-buffering=disabled name=\
    wlan3 security-profile=ingegno ssid=ingegno \
    wps-mode=disabled
/ip hotspot profile
set [ find default=yes ] html-directory=hotspot
/ip pool
add name=dhcp_pool0 ranges=192.168.3.100-192.168.3.190
add name=hs-pool-3 ranges=192.168.4.10-192.168.4.190
/ip dhcp-server
add address-pool=dhcp_pool0 interface=br-lan lease-time=10m name=dhcp1
add address-pool=hs-pool-3 disabled=yes interface=wlan1 lease-time=1h name=\
    dhcp2
/port
set 0 name=serial0
/routing bgp template
set default disabled=no output.network=bgp-networks
/routing ospf instance
add disabled=no name=default-v2
/routing ospf area
add disabled=yes instance=default-v2 name=backbone-v2
/interface bridge port
add bridge=br-lan ingress-filtering=no interface=ether1 internal-path-cost=10 \
    path-cost=10
add bridge=br-lan ingress-filtering=no interface=wlan1 internal-path-cost=10 \
    path-cost=10
/ip neighbor discovery-settings
set discover-interface-list=!dynamic
/ip settings
set max-neighbor-entries=8192
/ipv6 settings
set disable-ipv6=yes max-neighbor-entries=8192
/interface ovpn-server server
set auth=sha1,md5
/ip address
add address=192.168.3.1/24 comment="lan local ip" interface=br-lan network=\
    192.168.3.0
add address=192.168.4.1/24 comment=hotspot disabled=yes interface=wlan1 \
    network=192.168.4.0
/ip dhcp-client
add interface=wlan3
add interface=wlan2
/ip dhcp-server lease

/ip dhcp-server network
add address=192.168.3.0/24 dns-server=192.168.3.1 gateway=192.168.3.1
add address=192.168.4.0/24 comment="hotspot network" dns-server=192.168.4.1 \
    gateway=192.168.4.1
/ip dns
set allow-remote-requests=yes servers=192.168.3.1
/ip dns static
add address=192.168.3.200 name=cam.mev
add address=192.168.3.200 name=mev.local
add address=192.168.3.200 name=mev0r
add address=192.168.3.201 name=mev0l
add address=192.168.3.200 name=giano.local
add address=192.168.3.200 name=mev.giano.io
add address=192.168.3.200 name=cerbero
add address=192.168.3.200 name=cerbero.lan
add address=192.168.3.1 name=gw.lan
/ip firewall filter
add action=drop chain=input comment="Drop Invalid connections" \
    connection-state=invalid disabled=yes
add action=accept chain=input comment="Allow Established connections" \
    connection-state=established
add action=accept chain=input comment="accetto PING" protocol=icmp
add action=accept chain=input comment="accetto http e https" dst-port=80,443 \
    protocol=tcp
add action=passthrough chain=unused-hs-chain comment=\
    "place hotspot rules here" disabled=yes
/ip firewall nat
add action=src-nat chain=srcnat comment="masquerade tmp" disabled=yes \
    dst-address=10.1.109.10 protocol=tcp to-addresses=10.1.109.199
add action=passthrough chain=unused-hs-chain comment=\
    "place hotspot rules here" disabled=yes
add action=masquerade chain=srcnat out-interface=wlan2
add action=masquerade chain=srcnat out-interface=!br-lan
add action=dst-nat chain=dstnat comment=ssh dst-port=8005 protocol=tcp \
    to-addresses=192.168.3.200 to-ports=22
add action=dst-nat chain=dstnat comment="wamp temporaneo su lenovo" disabled=\
    yes dst-port=8082 protocol=tcp to-addresses=10.1.109.10 to-ports=8082
add action=dst-nat chain=dstnat comment=rtsp dst-port=554 protocol=tcp \
    to-addresses=192.168.3.200 to-ports=8554
add action=dst-nat chain=dstnat comment=websocket disabled=yes dst-port=8091 \
    in-interface=wlan2 protocol=tcp to-addresses=192.168.3.200 to-ports=8091
add action=dst-nat chain=dstnat comment=http dst-port=80 in-interface=!br-lan \
    protocol=tcp to-addresses=192.168.3.200 to-ports=80
add action=dst-nat chain=dstnat comment=https dst-port=443 in-interface=\
    !br-lan protocol=tcp to-addresses=192.168.3.200 to-ports=443
add action=dst-nat chain=dstnat comment=http dst-address=192.168.3.1 \
    dst-port=80 in-interface=br-lan log=yes protocol=tcp to-addresses=\
    192.168.3.200 to-ports=80
add action=dst-nat chain=dstnat comment="src nat per raggiungere lenovo" \
    disabled=yes dst-address=192.168.3.1 dst-port=443 in-interface=br-lan \
    protocol=tcp to-addresses=192.168.3.200 to-ports=443
/ip service
set telnet disabled=yes
set ftp disabled=yes
set www disabled=yes port=8008
set ssh port=22
set api disabled=yes
set api-ssl disabled=yes
/ip ssh
set forwarding-enabled=remote
/ip upnp
set enabled=yes
/ip upnp interfaces
add interface=wlan2 type=internal
add interface=br-lan type=internal
/routing bfd configuration
add disabled=no interfaces=all min-rx=200ms min-tx=200ms multiplier=5
/snmp
set enabled=yes
/system clock
set time-zone-name=Europe/Rome
/system identity
set name=cerbero-tmp
/system note
set show-at-login=no
/system ntp client
set mode=broadcast
/interface lte apn
set [ find default=yes ] add-default-route=yes apn=internet.it authentication=none comment=wind default-route-distance=2 ip-type=auto name=default use-network-apn=no use-peer-dns=yes
add add-default-route=yes apn=shared.tids.tim.it authentication=none default-route-distance=2 ip-type=auto name=tim use-network-apn=no use-peer-dns=yes
/interface lte
set [ find default-name=lte1 ] allow-roaming=no apn-profiles=tim band="" disabled=no !modem-init mtu=1480 name=lte1 network-mode=gsm,3g,lte pin=0000 sms-read=no
/interface lte settings
set firmware-path=firmware mode=auto sim-slot=down



