import logging
from typing import Any

import configargparse

config = None


def get_config() -> Any:
    global log
    parser = configargparse.get_argument_parser(
        config_file_parser_class=configargparse.YAMLConfigFileParser,
        formatter_class=configargparse.ArgumentDefaultsHelpFormatter,
    )
    parser.add_argument(
        "-c", "--config", required=False, is_config_file=True, help="config file path"
    )
    parser.add_argument(
        "--local", required=False, is_config_file=True, help="local config file path"
    )
    parser.add_argument(
        "--config-save",
        required=False,
        is_write_out_config_file_arg=True,
        help="config file path",
    )

    parser.add_argument("--debug", action="store_true", default=False, help="debug")
    parser.add_argument("--api", default="/app/api-fake.yml")
    parser.add_argument("--ws", default="ws://nexus:8082/ws")
    parser.add_argument("--realm", default="realm1")
    parser.add_argument(
        "--backend", default="giano", help="backend service to interrogate"
    )
    parser.add_argument(
        "--forced-url",
        type=int,
        help="to force call to a single endpoint when used the fake backend",
    )
    parser.add_argument(
        "--test-query",
        action="store_true",
        default=False,
        help="run test query on EN675TN",
    )
    config, _ = parser.parse_known_args()

    if config.debug:
        import jurigged

        logging.getLogger("watchdog").setLevel(logging.INFO)
        jurigged.watch(pattern="*mev_query*.py")

    logging.basicConfig(
        format="%(asctime)s [%(levelname)s] %(name)s %(message)s",
        level=logging.DEBUG if config.debug else logging.INFO,
    )

    log = logging.getLogger(__name__)

    return config
